Package com.logicaldoc.core.imaging

# Class ImageZone

java.lang.Object
com.logicaldoc.core.imaging.ImageZone

All Implemented Interfaces:
  `Serializable`

@MappedSuperclass public class ImageZone extends Object implements Serializable
A zone specification inside an image.

Since:
  8.4.2
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ImageZone()`
`ImageZone(ImageZone source)`

## Method Summary

Modifier and Type
Method
Description
`Double`
`getHeight()`
`Double`
`getLeft()`
`Double`
`getTop()`
`Double`
`getWidth()`
`void`
`setArea(double left, double top, double width, double height)`
`void`
`setHeight(Double height)`
`void`
`setLeft(Double left)`
`void`
`setTop(Double top)`
`void`
`setWidth(Double width)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImageZone

public ImageZone()

### ImageZone

public ImageZone(ImageZone source)

## Method Details

### getLeft

public Double getLeft()

### setLeft

public void setLeft(Double left)

### getTop

public Double getTop()

### setTop

public void setTop(Double top)

### getWidth

public Double getWidth()

### setWidth

public void setWidth(Double width)

### getHeight

public Double getHeight()

### setHeight

public void setHeight(Double height)

### setArea

public void setArea(double left, double top, double width, double height)